Subject: Make shows invalid contents
From: "Martin Gainty" <[email-masked]>
To: <[email-masked]>, "Randall R Schulz" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 2 Apr 2003 09:44:18 -0700

Hello-
(makefile attached)
all attempts to run make against valid attached makefile result in
/usr/lib/gcc-lib/i686-pc-cygwin/3.2/../../../../i686-pc-cygwin/bin/ld:
(garbage line) being thrown in

$ make
gcc -g -W -Wall -I/cygdrive/g/mysql/mysql-debug-4.0.12-pc-linux-i686/include
 -D_
THREAD_SAFE -D_REENTRANT -static
test_libmysqld.c  -L/cygdrive/g/mysql/mysql-de
bug-4.0.12-pc-linux-i686/lib -llibmysqlclient.a -lz -lm -lcrypt -lpthread -o
tes
t_libmysqld
/usr/lib/gcc-lib/i686-pc-cygwin/3.2/../../../../i686-pc-cygwin/bin/ld:
cannot fi
nd -llibmysqlclient.a
collect2: ld returned 1 exit status
make: *** [test_libmysqld] Error 1

where is the specification for the garbage line:
/usr/lib/gcc-lib/i686-pc-cygwin/3.2/../../../../i686-pc-cygwin/bin/ld:
??

(I already checked .profile and its not there)
Thank You,
Martin
----- Original Message -----
From: "Igor Pechtchanski" <[email-masked]>
To: "Randall R Schulz" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, April 02, 2003 9:12 AM
Subject: Re: vim quits and cygwin window contents not restored

> On Wed, 2 Apr 2003, Randall R Schulz wrote:
>
> > Charles,
> >
> > I must be missing something.
> >
> > At 00:29 2003-04-02, you wrote:
> > >Charles Wilson wrote:
> > >>Sorry, I haven't been following this thread.  See below.
> > >
> > >>I'll try to figure out which parts are missing, and reinstate them --
> > >>look for a new release (of terminfo-) sometime in the next week.
> > >
> > >Try the following.  First, save /usr/share/terminfo/c/cygwin somewhere
> > >handy.  Then, download and save the attached file cygwin.terminfo, and
run
> > >  'tic cygwin.terminfo'
> > >which will compile it and install it into your terminfo database.
> >
> > Since there were no attachments, I placed the text embedded in the
> > message into a file named "cygwin.terminfo" and used "tic" as you
> > prescribed. I get a diagnostic "Name collision between cygwin cygwin".
> > I tried removing the existing terminfo entry, but the result is
unchanged.
> >
> >
> > >You can also hand edit /etc/termcap (back it up, first) and paste the
> > >attached cygwin.termcap file into it, deleting the current definition.
> >
> > Then I saw this, so I figured that there are two text attachments that
> > got merged into a blob of in-line text, so I took the last 20 lines
> > beginning with "cygwin|ansi emulation for Cygwin:\" and gave them to
> > tic, and it seems to work (tic likes it and the results reinstate
> > screen context save and restore).
> >
> > Could you clarify what's up here? Am I the only one who didn't see
attachments?
> >
> >
> > >Anyway, give that a shot.  You'll note there are a lot of question
> > >marks in the comments in the cygwin.terminfo file.  If anyone's
> > >feeling really ambitious and likes digging thru terminfo
> > >documentation, the fhandler_console.cc source code in cygwin, and
> > >playing with /usr/bin/tack.exe...
> > >
> > >--Chuck
> >
> > Randall Schulz
>
> Randall,
>
> Since I knew a bit about termcap/terminfo formats, I figured there were
> two files: tic input and a termcap entry.  The web archive inlined both
> text attachments.  However, when I accessed the message from pine, it saw
> both attachments separately.  I'd guess that your mailer also saw the
> attachments as inline...
> Igor
> --
> http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_ [email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_ [email-masked]
>      |,4-  ) )-,_. ,\ (  `'-' Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
>
> Knowledge is an unending adventure at the edge of uncertainty.
>   -- Leto II
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/